<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Chandrani Pearls Gold Billing</title>
<link rel="icon" type="image/jpg" href="dist/img/favicon.png?v=2">
  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  
  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <link rel="stylesheet" href="dist/css/custom.css">
  
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.14.1/themes/base/jquery-ui.min.css" />
	<!--<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.css" />-->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.14.1/jquery-ui.min.js"></script>
	
	<!--<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.pack.js"></script>-->
	

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/fancybox/fancybox.css"/>
	
	
  <style>
  
.fancybox__content{
padding:10px;    
}  
  
  
#tooltip
{
    text-align: center;
    color: #FFF;
    background: #777777;
    position: absolute;
    z-index: 100;
    padding: 8px 15px;
	font-size:12px;
	font-family: 'Roboto', sans-serif;
}
 
    #tooltip:after /* triangle decoration */
    {
        width: 0;
        height: 0;
        border-left: 10px solid transparent;
        border-right: 10px solid transparent;
        border-top: 10px solid #777777;
        content: '';
        position: absolute;
        left: 50%;
        bottom: -10px;
        margin-left: -10px;
    }
 
        #tooltip.top:after
        {
            border-top-color: transparent;
            border-bottom: 10px solid #777777;
            top: -20px;
            bottom: auto;
        }
 
        #tooltip.left:after
        {
            left: 10px;
            margin: 0;
        }
 
        #tooltip.right:after
        {
            right: 10px;
            left: auto;
            margin: 0;
        }
.fulldiv {
    float: left;
    width: 100%;
    height: 100%;
    top: 0;
    bottom: 0;
    background-color: rgba(38, 53, 68, 0.80);
    background: rgba(38, 53, 68, 0.80);
    z-index: 1500;
    position: fixed;
}
	  .message_maindiv_new {
    width: 430px;
    height: auto;
    margin: 0px auto;
}
	  .message_div_new {
    float: left;
    width: 100%;
    height: auto;
    padding: 3%;
    background-color: #FFFFFF;
    margin-top: 300px;
}
	  .message_title {
    float: left;
    width: 100%;
    height: auto;
    text-align: center;
    font-size: 20px;
    color: #000000;
    margin-bottom: 20px;
    text-transform: capitalize;
	  }
	  
	  .bg-maroon{
	  background-color:#d5042d !important;
	  }
	  


        .col-sm-12 {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
        font-size: 13px;
    }


    th{

        font-size: 13px;

        
    }

button:focus{

outline: none;

}


</style>
<script>
$( function()
{
    var targets = $( '[rel~=tooltip]' ),
        target  = false,
        tooltip = false,
        title   = false;
 
    targets.bind( 'mouseenter', function()
    {
        target  = $( this );
        tip     = target.attr( 'title' );
        tooltip = $( '<div id="tooltip"></div>' );
 
        if( !tip || tip == '' )
            return false;
 
        target.removeAttr( 'title' );
        tooltip.css( 'opacity', 0 )
               .html( tip )
               .appendTo( 'body' );
 
        var init_tooltip = function()
        {
            if( $( window ).width() < tooltip.outerWidth() * 1.5 )
                tooltip.css( 'max-width', $( window ).width() / 2 );
            else
                tooltip.css( 'max-width', 340 );
 
            var pos_left = target.offset().left + ( target.outerWidth() / 2 ) - ( tooltip.outerWidth() / 2 ),
                pos_top  = target.offset().top - tooltip.outerHeight() - 20;
 
            if( pos_left < 0 )
            {
                pos_left = target.offset().left + target.outerWidth() / 2 - 20;
                tooltip.addClass( 'left' );
            }
            else
                tooltip.removeClass( 'left' );
 
            if( pos_left + tooltip.outerWidth() > $( window ).width() )
            {
                pos_left = target.offset().left - tooltip.outerWidth() + target.outerWidth() / 2 + 20;
                tooltip.addClass( 'right' );
            }
            else
                tooltip.removeClass( 'right' );
 
            if( pos_top < 0 )
            {
                var pos_top  = target.offset().top + target.outerHeight();
                tooltip.addClass( 'top' );
            }
            else
                tooltip.removeClass( 'top' );
 
            tooltip.css( { left: pos_left, top: pos_top } )
                   .animate( { top: '+=10', opacity: 1 }, 50 );
        };
 
        init_tooltip();
        $( window ).resize( init_tooltip );
 
        var remove_tooltip = function()
        {
            tooltip.animate( { top: '-=10', opacity: 0 }, 50, function()
            {
                $( this ).remove();
            });
 
            target.attr( 'title', tip );
        };
 
        target.bind( 'mouseleave', remove_tooltip );
        tooltip.bind( 'click', remove_tooltip );
    });
});
</script>

<script>

  function close_fancy_list()
  {
  	
  	$('#dispatchdiv_msg').hide();
  }


function CheckFSToDispatch(per)
{
   var Order_No=per 
   
   
     $('#Insuff_Order_No').val('');
     $("#stn_dis_btn").prop('disabled', true);
	 
	
      //alert(1);
  
   
   $.ajax({
			url:'ajx-check-stn-final-stock.php',
			type:'post',
			data:'Order_No='+Order_No,
			success:function(f)
			{
				//alert(f);
				if(f!='')
				{
					//alert(22);
					$('#DispStockOutCode').text(f);
					$('#dispatchdiv_msg').show();
					$('#Insuff_Order_No').val(Order_No);
					$("#stn_dis_btn").prop('disabled', false);
				}
				else{
					
					
					
					StnDispatch(Order_No);
				}
			
			}
	})


}
function StnDispatch(per)
{
   var Order_No=per 
   
   
   
     $("#stn_dis_btn").prop('disabled', true);
	 
	
   alert(1);
  
   
   $.ajax({
			url:'ajx_stn_dispatch.php',
			type:'post',
			data:'Order_No='+Order_No,
			success:function(f)
			{
				alert('Successfully dispathed');
				window.location.reload();
			
			}
	})


}
function CancelStn(per)
{

  var Order_No=per 
  
  
   var r = confirm("Are you sure you want to cancel this STN");
   if (r == true) {
   
   
       $.ajax({
			url:'ajx_stn_cancel.php',
			type:'post',
			data:'Order_No='+Order_No,
			success:function(f)
			{
				alert('Successfully Cancelled');
				window.location.reload();
			
			}
	})
   
  }

      

}

function RemoveStockOutProduct()
{
	  var Order_No=$('#Insuff_Order_No').val();
	  
	  if(Order_No!='')
	  {
	     $('#dispatchdiv_msg').hide();
		
		 $.ajax({
				url:'ajx-remove-stn-stock-out-product.php',
				type:'post',
				async:false,
				data:'Order_No='+Order_No,
				success:function(f)
				{
					StnDispatch(Order_No);
				
				}
		})
	  }
	  else{
		  
		  alert("Some error occurred. Please try again");
	  }

		
}
</script>
	
	</head>
	<body class="hold-transition sidebar-mini">
	
	

		
		
<div class="wrapper">
  <!-- Navbar -->
    <?php include ("topheader.php"); ?>
  <!-- /.navbar -->
  <!-- Main Sidebar Container -->
    <?php include ("sidemenu.php"); ?>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1></h1>
                </div>
                <div class="col-sm-6">
                    
                </div>
            </div>
        </div>
    </section>
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
			<div class="col-12">
      <div class="card">
                        <div class="card-header">
        <h4>View GRN
            <!-- <button type="button" class="btn btn-custom" style="float: right; background-color: #ffd700; color: #062e50;" data-toggle="modal" data-target="#ratemodal"><i class="fa-solid fa-circle-plus fa-beat"></i> ADD RATE</button> -->
        </h4>
    </div>

                        <div class="card-body">





<table id="example1" class="table table-striped table-bordered nowrap">

<thead>

<tr>



<th>SLN</th>


<th>Dealer Code</th>
<th>Dealer Name</th>

<th>Challan No</th>

<th>Challan_Date</th>

<th>GRN No</th>

<th>Quantity</th>

<th>Total MRP</th>

<th>Total Challan Amount</th>

<!--<th>Consignment STN</th>-->
<th>Status</th>

<th>Action</th>
</tr>

</thead>

<tbody>



<?php
$Dealer="GP";
//$condition="Dealer_Code='".$Dealer."' and Challan_No='".$Challan."'";
//$condition="Dealer_Code='".$Dealer."'";


if(strtoupper($_COOKIE['Type'])!='ADMIN')
{
	//$Dealer=$_COOKIE['O_Code'];
	
	$condition="Dealer_Code='".$_COOKIE['O_Code']."'";
}
else
{

   $condition="Dealer_Code!=''";
   
	/*if($_REQUEST['dealer']!='')
	{
		 $Dealer=$_REQUEST['dealer'];
	}*/
	
}


$condition.=" and Status='Complete' and GRN_NO!='' order by SLN desc";
$Get_Challan=$Mainclass->Challan_det_return('gold_challan_master',$condition);
if($Get_Challan>0)
{	
$i=1;
foreach($Get_Challan as $ChallanInfo)
	{

	$Condition1=" Order_Code='".$ChallanInfo['Dealer_Code']."'";
	$Dealer_Details=$Mainclass->Challan_Details('dealer_master',$Condition1);	

?>

<tr>

<th scope="row"><?php echo $i;?></th>


  <td><?php echo $ChallanInfo['Dealer_Code'];?></td>
  
   <td><?php echo $Dealer_Details['Dealer_Name'];?></td>

<td><?php echo $ChallanInfo['Challan_No'];?></td>

<td><?php echo date('d-m-Y',strtotime($ChallanInfo['Challan_Date']));?></td>

<td><?php echo $ChallanInfo['GRN_NO'];?></td>

<td><?php echo $ChallanInfo['Quantity'];?></td>

<td><?php echo $ChallanInfo['Total_MRP_Amount'];?></td>

<td><?php echo $ChallanInfo['Total_Challan_Amount'];?></td>
<!--<td><?php  if($ChallanInfo['Consignment_Stn']=='1'){ echo "Yes";} else {echo "No";}?></td>-->
<td><?php echo $ChallanInfo['Status'];?></td>

<td>
<a href="gold-grn-dtls.php?chno=<?php echo base64_encode($ChallanInfo['Challan_No']);?>" style="padding-right:10px;"> <i class="fa fa-search" aria-hidden="true" title="View Dtls"></i></a>

</td>

</tr>

<?php

$i++;

}

}

else

{

?>

<tr><td colspan="8" style="text-align:center; font-weight:bold; color:#FF0000;"> No Products Found!</td></tr>

<?php

}

?>



</tbody>



</table>


<input type="hidden" name="count" id="count" value="<?php echo $i-1?>">
                        </div>
                    </div> 
				</div>
            <!-- /.card -->
			</div>
			<!--/.row-->    
        
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
   <?php include ("footer.php"); ?>
  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->
<!-- jQuery -->
<script src='https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js'></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="plugins/datatables/jquery.dataTables.min.js"></script>
<script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="plugins/jszip/jszip.min.js"></script>
<script src="plugins/pdfmake/pdfmake.min.js"></script>
<script src="plugins/pdfmake/vfs_fonts.js"></script>
<script src="plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="dist/js/demo.js"></script>
<!-- Page specific script -->

	 <script src="https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/fancybox/fancybox.umd.js"></script>
	 
<script>
    
    Fancybox.bind("[data-fancybox]", {
  // Optionally disable "compact" mode
  // compact: false,

 
});
</script>	 
	 
	 
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,
      "searching": true,
      "scrollX": true, // Enable horizontal scroll
      //"buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');

    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
      "scrollX": true, // Enable horizontal scroll
      "columnDefs": [
        { "width": "25%", "targets": 2 }, // Set width for the third column
      ]
    });
  });
  
 
$(document).ready(function() {



	$(".various").fancybox({



		maxWidth	: 500,



		maxHeight	: 450,



		fitToView	: true,



		width		: '100%',



		height		: '100%',



		autoSize	: false,



		closeClick	: false,



		openEffect	: 'none',



		closeEffect	: 'none',



		



	});



});

 
</script>
	<script>
    /*ClassicEditor
        .create( document.querySelector( '#responsibility' ) )
        .catch( error => {
            console.error( error );
        } );*/
		var myEditor;

    ClassicEditor
        .create( document.querySelector( '#responsibility' ) )
        .then( editor => {
            console.log( 'Editor was initialized', editor );
            myEditor = editor;
        } )
        .catch( err => {
            console.error( err.stack );
        } );
    
</script>
	<script>
		function close_modal()
  {
    $(':input').val('');
    $('#ratemodal').modal('hide');
    $(':input').css('border-color','');
  }	
  

  
		</script>	
	
<script>

function update_igi(per){
    
var SLN = per;
var igi_no = $('#igi_no'+SLN).val(); 
var org = $('#org'+SLN).val(); 
var hm_no = $('#hm_no'+SLN).val(); 

    if (igi_no=="" || org=="") {
        Swal.fire({
            icon: 'warning',
            title: 'Check Again!',
            text: "Please provide information in all the required fields.",
            width: '450px',
            background: '#045b62',
            color: '#fff',
            confirmButtonText: 'Ok',
            confirmButtonColor: "#013033",
            showConfirmButton: true,
        });
        return false;
    }





    
$.ajax({
url:'ajax-update-igi-hm.php',
type:'POST',
data:{SLN:SLN,igi_no:igi_no,hm_no:hm_no,org:org},
success:function(f){

Swal.fire({
icon: 'success',
title: 'Success',
text: 'IGI No and Hallmark No added successfully',
width: '450px',
showConfirmButton:false,
timer:3000,
}).then(function() {
window.location.href="add_product_igi.php";
});

}
});



}
	

	
function open_igi_modal(per){
	
$('#product_modal').modal('show');	
	
$.ajax({
url:'ajax-igi-form.php',
type:'POST',
data:{Barcode:per},
success:function(f){
	
$('#product_data').html(f);
	
}
});
	
}	
	


		</script>		
		
		
		
	<!-- Start Add Modal -->
<div class="modal fade" id="product_modal" tabindex="-1" aria-labelledby="product_modal" aria-hidden="true" >
    <div class="modal-dialog" >
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="product_modal">Add IGI No</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close" onclick="close_modal()">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
                    
        <div class="modal-body" id="product_data" style="background:#fff ">

			
			
        </div>
		  
<!--
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal" onclick="close_modal()">Close</button>
        </div>
-->
    
      </div>
    </div>
  </div>
  <!---End Add Modal-->

		
		
		
		
</body>
</html>